/////////////////////////////
// Program Name: Circle2.CPP
/////////////////////////////

///////////////////
// #include files
///////////////////
#include <iostream.h>

// Declare the Circle class
class CCircle
{
public:
  CCircle( int r);    // Constructor
  void   SetRadius(int r);
  int    GetRadius(void);
  void   DisplayArea(void);
  ~CCircle();         // Destructor
private:
  float CalculateArea(void);
  int m_Radius;
  int m_Color;
};


///////////////////////////
// The constructor function
///////////////////////////
CCircle::CCircle ( int r )
{

// Set the radius
m_Radius = r;

}


//////////////////////////
// The destructor function
//////////////////////////
CCircle::~CCircle ()
{


}


///////////////////////////////
// Function Name: DisplayArea()
///////////////////////////////
void CCircle::DisplayArea ( void )
{

float fArea;

fArea = CalculateArea ( );

// Print the area
cout << "The area of the circle is: " << fArea;


}


/////////////////////////////////
// Function Name: CalculateArea()
/////////////////////////////////
float CCircle::CalculateArea ( void )
{

float f;

f = (float) (3.14 * m_Radius * m_Radius);

return f;

}


void main(void)
{
// Create an object of class CCircle with
// radius equal to 10.
CCircle MyCircle ( 10 );


// Create an object of class CCircle with
// radius equal to 20.
CCircle HerCircle ( 20 );


// Create an object of class CCircle with
// radius equal to 30.
CCircle HisCircle ( 30 );


// Display the area of the circles
MyCircle.DisplayArea();
cout << "\n";
HerCircle.DisplayArea();
cout << "\n";
HisCircle.DisplayArea();

}
