// growview.cpp : implementation of the CGrowView class
//

#include "stdafx.h"
#include "grow.h"

#include "growdoc.h"
#include "growview.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CGrowView

IMPLEMENT_DYNCREATE(CGrowView, CView)

BEGIN_MESSAGE_MAP(CGrowView, CView)
	//{{AFX_MSG_MAP(CGrowView)
	ON_COMMAND(ID_GROWING_ITEM1, OnGrowingItem1)
	ON_COMMAND(ID_GROWING_ITEM2, OnGrowingItem2)
	ON_COMMAND(ID_GROWING_ITEM3, OnGrowingItem3)
	ON_COMMAND(ID_GROWING_ITEM4, OnGrowingItem4)
	ON_COMMAND(ID_GROWING_ITEM5, OnGrowingItem5)
	ON_COMMAND(ID_GROWING_ADDITEM, OnGrowingAdditem)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CGrowView construction/destruction

CGrowView::CGrowView()
{
	// TODO: add construction code here

     //////////////////////
     // MY CODE STARTS HERE
     //////////////////////

     m_CurrentAddedItem = 0;

     ////////////////////
     // MY CODE ENDS HERE
     ////////////////////


}

CGrowView::~CGrowView()
{
}

/////////////////////////////////////////////////////////////////////////////
// CGrowView drawing

void CGrowView::OnDraw(CDC* pDC)
{
	CGrowDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);

	// TODO: add draw code for native data here
}

/////////////////////////////////////////////////////////////////////////////
// CGrowView diagnostics

#ifdef _DEBUG
void CGrowView::AssertValid() const
{
	CView::AssertValid();
}

void CGrowView::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}

CGrowDoc* CGrowView::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CGrowDoc)));
	return (CGrowDoc*)m_pDocument;
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CGrowView message handlers

void CGrowView::OnGrowingItem1()
{
	// TODO: Add your command handler code here

     //////////////////////
     // MY CODE STARTS HERE
     //////////////////////

    MessageBox ("I'm now inside OnGrowingItem1()");

     ////////////////////
     // MY CODE ENDS HERE
     ////////////////////

}

void CGrowView::OnGrowingItem2()
{
	// TODO: Add your command handler code here

     //////////////////////
     // MY CODE STARTS HERE
     //////////////////////

    MessageBox ("I'm now inside OnGrowingItem2()");

     ////////////////////
     // MY CODE ENDS HERE
     ////////////////////


	
}

void CGrowView::OnGrowingItem3()
{
	// TODO: Add your command handler code here
	
     //////////////////////
     // MY CODE STARTS HERE
     //////////////////////

    MessageBox ("I'm now inside OnGrowingItem3()");

     ////////////////////
     // MY CODE ENDS HERE
     ////////////////////

}

void CGrowView::OnGrowingItem4()
{
	// TODO: Add your command handler code here
	
     //////////////////////
     // MY CODE STARTS HERE
     //////////////////////

    MessageBox ("I'm now inside OnGrowingItem4()");

     ////////////////////
     // MY CODE ENDS HERE
     ////////////////////

}

void CGrowView::OnGrowingItem5()
{
	// TODO: Add your command handler code here
	
     //////////////////////
     // MY CODE STARTS HERE
     //////////////////////

    MessageBox ("I'm now inside OnGrowingItem5()");

     ////////////////////
     // MY CODE ENDS HERE
     ////////////////////
}

void CGrowView::OnGrowingAdditem()
{
	// TODO: Add your command handler code here
	
          //////////////////////
     // MY CODE STARTS HERE
     //////////////////////

    // Extract the pointer of the parent pointer
    CWnd* pParent = GetParent();

    // Extract the pointer of the menu bar
    CMenu* pMenuBar = pParent->GetMenu();

    // Extract the pointer of the Growing menu
    CMenu* pMenuGrowing = pMenuBar->GetSubMenu(1);

    CString Message;
    char sCurrentAddedItem[10];


    if (m_CurrentAddedItem == 5 )
       {
       // Display a message to the user
       MessageBox ("Sorry, no more items can be added");
       return;
       }
    else
       {
       // Construct the Message variable
       itoa(m_CurrentAddedItem+1, sCurrentAddedItem, 10);
       Message = "I am item number " +
                 (CString)sCurrentAddedItem +
                 " . I was added during execution time";

       // Append an item to the menu
   pMenuGrowing->AppendMenu ( MF_STRING | MF_ENABLED,
                             (UINT)ID_GROWING_ITEM1 +
                             (UINT)m_CurrentAddedItem,
                             (LPCSTR)Message );
       // Update m_CurrentAddedItem for the next time
       m_CurrentAddedItem++;
       }

     ////////////////////
     // MY CODE ENDS HERE
     ////////////////////

}
