/////////////////////////////
// Program Name: Circle3.CPP
/////////////////////////////

///////////////////
// #include files
///////////////////
#include <iostream.h>

// Declare the CCircle class
class CCircle
{
public:
  CCircle( int r);    // Constructor
  void   SetRadius(int r);
  int    GetRadius(void);
  void   DisplayArea(void);
  ~CCircle();         // Destructor
private:
  float CalculateArea(void);
  int m_Radius;
  int m_Color;
};


///////////////////////////
// The constructor function
///////////////////////////
CCircle::CCircle ( int r )
{

// Set the radius
m_Radius = r;

}


//////////////////////////
// The destructor function
//////////////////////////
CCircle::~CCircle ()
{


}


//////////////////////////////
// Function Name: SetRadius()
//////////////////////////////
void CCircle::SetRadius ( int r)
{

m_Radius = r;

}


//////////////////////////////
// Function Name: GetRadius()
//////////////////////////////
int CCircle::GetRadius ( void)
{

return m_Radius;

}

///////////////////////////////
// Function Name: DisplayArea()
///////////////////////////////
void CCircle::DisplayArea ( void )
{

float fArea;

fArea = CalculateArea ( );

// Print the area
cout << "The area of the circle is: " << fArea;

}


/////////////////////////////////
// Function Name: CalculateArea()
/////////////////////////////////
float CCircle::CalculateArea ( void )
{

float f;

f = (float) (3.14 * m_Radius * m_Radius);

return f;

}


void main ( void)
{

// Create the MyCircle object with
// m_Radius equal to 10
CCircle MyCircle (10);

// Display the area of the circle
MyCircle.DisplayArea();
cout << "\n";

//Set the m_Radius of MyCircle to 20.
MyCircle.SetRadius (20);

// Display the radius of the circle
cout << "The Radius is: " << MyCircle.GetRadius();

}
